ChangeSet 1.1325.4.6, 2003/09/23 17:08:05-07:00, henning@meier-geinitz.de

[PATCH] USB scanner driver: added USB_CLASS_CDC_DATA

Added test for USB_CLASS_CDC_DATA which is used by some fingerprint
scanners.


 drivers/usb/image/scanner.c |    2 ++
 1 files changed, 2 insertions(+)


diff -Nru a/drivers/usb/image/scanner.c b/drivers/usb/image/scanner.c
--- a/drivers/usb/image/scanner.c	Thu Sep 25 14:32:14 2003
+++ b/drivers/usb/image/scanner.c	Thu Sep 25 14:32:14 2003
@@ -378,6 +378,7 @@
  *      condition occours (Daniele Bellucci).
  *    - Added vendor/product ids for Canon, HP, Microtek, Mustek, Siemens, UMAX, and
  *      Visioneer scanners.
+ *    - Added test for USB_CLASS_CDC_DATA which is used by some fingerprint scanners.
  *
  *
  * TODO
@@ -961,6 +962,7 @@
  
 	if (interface[0].desc.bInterfaceClass != USB_CLASS_VENDOR_SPEC &&
 	    interface[0].desc.bInterfaceClass != USB_CLASS_PER_INTERFACE &&
+	    interface[0].desc.bInterfaceClass != USB_CLASS_CDC_DATA &&
 	    interface[0].desc.bInterfaceClass != SCN_CLASS_SCANJET) {
 		dbg("probe_scanner: This interface doesn't look like a scanner (class=0x%x).", interface[0].desc.bInterfaceClass);
 		return -ENODEV;
